# Type Alias CompositeLinkFn

CompositeLinkFn: (
scope: Scope,
$linkNode: NodeRef,
parentBoundTranscludeFn?: Function,
) => any

#### Type declaration

- - (scope: Scope, $linkNode: NodeRef, parentBoundTranscludeFn?: Function): any

  - #### Parameters

    - scope: Scope

      The scope to be linked to the template

    - $linkNode: NodeRef

      wrapper around a nodeList

    - `Optional` parentBoundTranscludeFn: Function

    #### Returns any

- Defined in src/core/compile/compile.js:125